<form action="#" class="form form--support" autocomplete="off" [formGroup]="form" (ngSubmit)="onSubmit()">
  <div class="form__fieldset form__fieldset--3-col-md">
    <ng-container *ngFor="let control of getGroupControls(form)
    | keyvalue: originalOrder; let i = index">
      <div *ngIf="i <= 3" class="form__field" [class.form__field--full]="control.key === FormControlName.Question">
        <label [for]="control.key" class="form__label"
           [class.form__label--invalid]="control.value.invalid && control.value.touched"
        >
          {{FormFieldMeta[control.key].label}}
          <sup *ngIf="control.value.errors && control.value.hasError('required')" class="form__required">*</sup>
        </label>
        <app-input
          [type]="FormFieldMeta[control.key].type"
          [rows]="7"
          [id]="control.key"
          [formControlName]="control.key"
          [mask]="FormFieldMeta[control.key].mask"
          [prefix]="FormFieldMeta[control.key].prefix"
          [dropSpecialCharacters]="FormFieldMeta[control.key].dropSpecialCharacters"
          [showMaskTyped]="FormFieldMeta[control.key].showMaskTyped"
          [placeholder]="FormFieldMeta[control.key].label"
          [inputmode]="FormFieldMeta[control.key].inputmode"
          [invalid]="(control.value.invalid && control.value.touched)"
        >
        </app-input>
      </div>
    </ng-container>
<!--    <div class="form__field form__field--full">-->
<!--      <app-checkbox [formControlName]="FormControlName.Agree" mods="md"-->
<!--                    (change)="executeCaptcha(invisible)" [disabled]="form.get(FormControlName.Captcha).value">-->
<!--        <ng-container class="text">-->
<!--          Нажимая кнопку «Отправить», я даю свое согласие на-->
<!--          <app-link (click)="confirm($event)" mods="in-text, blue">обработку моих персональных данных</app-link>-->
<!--        </ng-container>-->
<!--      </app-checkbox>-->
<!--      <re-captcha size="invisible" #invisible-->
<!--                  [formControlName]="FormControlName.Captcha" (resolved)="captchaResolved($event)">-->
<!--      </re-captcha>-->
<!--    </div>-->
  </div>
  <div class="form__fieldset form__fieldset--3-col-md" style="margin-top: 30px;">
    <app-btn type="submit" mods="lg, w-full" [disabled]="form.invalid || (!form.invalid && isLoading)">
      <app-loader *ngIf="isLoading; else text" mods="sm, black"></app-loader>
      <ng-template #text>
        Отправить
      </ng-template>
    </app-btn>
  </div>
</form>
